<template>
  <div class="system font-semibold">
    <div class="text-xl">ระบบไฟส่องสว่างทั้งหมด</div>

    <div class="flex items-center justify-center mt-4 text-center">
      <div class="mr-10 w-[180px] h-[180px] relative">
        <canvas id="system-chart"></canvas>

        <div
          class="absolute top-2/4 left-2/4 transform -translate-y-2/4 -translate-x-2/4"
        >
          <img
            :src="require('~/assets/images/street-light 1.svg')"
            alt="street-light 1.svg"
          />

          <div class="text-3xl text-primary mt-2">
            {{ system_data.open + system_data.close }}
          </div>
        </div>
      </div>

      <div>
        <div class="text-yellow">
          <div class="text-3xl">{{ system_data.open }}</div>

          <div>เปิดอยู่</div>
        </div>

        <div class="mt-4">
          <div class="text-3xl">{{ system_data.close }}</div>

          <div>ปิดอยู่</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Chart from "chart.js/auto";

export default {
  props: {
    system_data: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  mounted() {
    this.setChart();
  },
  methods: {
    setChart() {
      const ctx = document.getElementById(`system-chart`);

      const options = {
        layout: {
          padding: {
            left: -10,
          },
        },
        plugins: {
          tooltip: {
            enabled: false,
          },
          legend: {
            display: false,
          },
        },
        scales: {
          x: {
            ticks: {
              display: false,
            },
            grid: {
              display: false,
              drawBorder: false,
            },
          },
          y: {
            ticks: {
              display: false,
            },
            grid: {
              display: false,
              drawBorder: false,
            },
          },
        },
      };

      const data = {
        labels: ["เปิดอยู่", "ปิดอยู่"],
        datasets: [
          {
            data: [this.system_data.open, this.system_data.close],
            backgroundColor: ["#F9C834", "white"],
            borderColor: "transparent",
            // borderRadius: [100, 0],
            borderWidth: 1,
            cutout: "75%",
          },
        ],
      };

      const config = {
        type: "doughnut",
        data,
        options,
      };

      Chart.defaults.font.family = "Kanit";
      Chart.defaults.font.size = 12;
      Chart.defaults.color = "white";
      Chart.defaults.font.weight = 300;
      this.chart = new Chart(ctx, config);
    },
  },
};
</script>

<style lang="scss" scoped></style>
